[Rainmeter]
Author=jing
Update=100
BackgroundMode=1
MouseActionCursor=0
MiddleMouseDownAction=!RainmeterDeactivateConfig

[Metadata]
Name=i3 bar
Config=Trash (Animated)
Description=Shows recycle bin
Version=1.0.0
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0

;Animation method by Chris Hennessey !

[Variables]
Font=Segoe UI
WhiteColor=255,255,255,255

;Do not touch these : 
ShowItems=[!RainmeterShowMeterGroup Trash]
HideItems=[!RainmeterHideMeterGroup Trash]

[StringStyle]
FontColor=#WhiteColor#
FontFace=#Font#
StringAlign=Center
StringStyle=Normal
AntiAlias=1

[Back]
Measure=Calc
Formula=0

[Open]
Measure=Calc
Formula=10

[CounterStep]
Measure=Calc
Formula=Counter

[CounterHold]
Measure=Calc
Formula=CounterHold = 0 ? CounterStep : CounterHold
Disable=1

[CounterReset]
Measure=Calc
Formula=CounterStep - CounterHold
IfAboveValue=9
IfAboveAction=!Execute [!RainmeterDisableMeasure CounterHold]

[BackAnim]
Measure=Calc
MinValue=0
MaxValue=10
Formula=(CounterStep-CounterHold < 10) ? CounterStep-CounterHold : 0
IfEqualValue=9
IfEqualAction=!Execute [!RainmeterHideMeter MeterAnimOpen][!RainmeterShowMeter MeterBackOpen][!RainmeterHideMeter MeterBackAnim][!RainmeterDisableMeasure BackAnim][!RainmeterShowMeter MeterAnimClose][!RainmeterDisableMeasure CounterHold] #ShowItems#
Disabled=1

[BackAnimRev]
Measure=Calc
MinValue=0
MaxValue=10
Formula=(CounterStep-CounterHold < 10) ? 10-(CounterStep-CounterHold) : 9
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterShowMeter MeterBack][!RainmeterHideMeter MeterBackAnimRev][!RainmeterDisableMeasure BackAnimRev][!RainmeterShowMeter MeterAnimOpen][!RainmeterHideMeter MeterAnimClose][!RainmeterDisableMeasure CounterHold]
Disabled=1

::::::::::::::::::::::::::::::
;Animated Drop-Down Screen Meters
::::::::::::::::::::::::::::::

[MeterBack]
MeasureName=Back
Meter=BITMAP
X=0
Y=0
BitmapImage=animright.png
BitmapFrames=16
BitmapZeroFrame=1

[MeterBackAnim]
MeasureName=BackAnim
Meter=BITMAP
X=0
Y=0
BitmapImage=animright.png
BitmapFrames=16
BitmapZeroFrame=1
Hidden=1

[MeterBackAnimRev]
MeasureName=BackAnimRev
Meter=BITMAP
X=0
Y=0
BitmapImage=animright.png
BitmapFrames=16
BitmapZeroFrame=1
Hidden=1

[MeterBackOpen]
MeasureName=Open
Meter=BITMAP
X=0
Y=0
BitmapImage=animright.png
BitmapFrames=16
BitmapZeroFrame=1
Hidden=1

[MeterAnimOpen]
Meter=Image
x=15
y=48
w=20
h=20
SolidColor=0, 190, 233, 0
LeftMouseDownAction=!Execute [!RainmeterEnableMeasure CounterHold][!RainmeterEnableMeasure BackAnim][!RainmeterShowMeter MeterBackAnim][!RainmeterHideMeter MeterBack] [!RainmeterHideMeter MeterAnimOpen]

[MeterAnimClose]
Meter=Image
x=75
y=48
w=20
h=20
SolidColor=0, 190, 233, 0
LeftMouseDownAction=!Execute #HideItems#[!RainmeterHideMeter MeterAnimClose][!RainmeterEnableMeasure CounterHold][!RainmeterEnableMeasure BackAnimRev][!RainmeterShowMeter MeterBackAnimRev][!RainmeterHideMeter MeterBackOpen]
Hidden=1

::::::::::::::::::::::::::::::
MEASURES
::::::::::::::::::::::::::::::

[MeasureBin]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT

[MeasureSize]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=SIZE

::::::::::::::::::::::::::::::
METER
::::::::::::::::::::::::::::::

[MeterCount]
Meter=STRING
MeasureName=MeasureBin
FontSize=17
MeterStyle=StringStyle
X=33
Y=33
Text=%1
Group=Trash
Hidden=1

[MeterOverlayCount]
Meter=Image
W=30
H=7
X=20
Y=45
ImageName=overlay\overlay1-1.png
Group=Trash
Hidden=1

[MeterSize]
Meter=STRING
MeasureName=MeasureSize
FontSize=8
X=33
Y=59
MeterStyle=StringStyle
Text="%1B"
NumOfDecimals=0
AutoScale=1
Group=Trash
Hidden=1

[MeterOverlaySize]
Meter=Image
W=30
H=7
X=15
Y=62
ImageName=overlay\overlay2-1.png
Group=Trash
Hidden=1

[MeterTrash]
Meter=STRING
X=33
Y=68
W=20
H=26
Text="Trash"
MeterStyle=StringStyle
LeftMouseUpAction =!execute [::{645FF040-5081-101B-9F08-00AA002F954E}]
RightMouseUpAction=!execute [!RainmeterPluginBang "MeasureBin EmptyBin"]
Group=Trash
Hidden=1

[MeterOverlayTrash]
Meter=Image
W=43
H=7
X=10
Y=74
ImageName=overlay\overlay2-1.png
Group=Trash
Hidden=1
